function initPushwooshAndroid()
{
	var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification");
	var pushwooshGeozones = cordova.require("pushwoosh-geozones-cordova-plugin.PushwooshGeozones");


	document.addEventListener('push-notification', function(event) {
		var title = event.notification.title;
        var url = event.notification.l;
		var userData = event.notification.userdata;

   		navigator.notification.alert(
                event.notification.message,
                '',
                'Bombshells Officers Club',
                'OK'
            );

		if(typeof(userData) != "undefined") {

			console.warn('user data: ' + JSON.stringify(userData));
		}
                
                if(url){
                    window.open(url,"_self","location=no");return false;
                }
                
	});

	pushNotification.onDeviceReady({ projectid: "592249199213", appid: "AF45B-1B5F9" });
	pushwooshGeozones.startLocationTracking();
}

function registerNonMemberIfUnregisteredAndroid(){
	var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification");

	pushNotification.getPushToken(function(token) {
		if(!token) {
			alert('token does not exist, registering as non member!!!! ');
			registerNonMemberPushwooshAndroid();
		}
	});
}

function registerNonMemberPushwooshAndroid()
{
	var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification"); //window.plugins.pushNotification;
	pushNotification.registerDevice(function(status) {
		
		onPushwooshAndroidInitialized(status.pushToken, false, 0);
             
        localStorage.pushwood_status = 1;
	},
	function(status) {
		alert("failed to register: " +  status);
		console.warn(JSON.stringify(['failed to register ', status]));
               
        localStorage.pushwood_status = 0;
	});
}

function registerMemberPushwooshAndroid(deviceId)
{
	var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification");
	pushNotification.registerDevice(function(status) {
	
		onPushwooshAndroidInitialized(status.pushToken, true, deviceId);

                localStorage.pushwood_status = 2;
                $.ajax({
                    url: "https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/PWRegistration",
                    dataType: 'json',
                    data: {
                        api_key: '5dbc13a70ad1194aafb202894bb088a3',
                        memberId: deviceId
                    },
                    success: function(response) {
                    	if ( response.responseCode == '1' && localStorage.getItem('Display_Push_Register') == 1 ){
							navigator.notification.beep(1);

	        				//This code work fine but this one is duplicating the message.
	        				/*navigator.notification.alert(
		            			response.responseMessage,
		            			'',
		            			'Bombshells Officers Club',
		            			'OK'
	        				);*/
	        				localStorage.setItem('Display_Push_Register', 0);
                    	}
                       
                    }
                });
	},
	function(status) {
		alert("failed to register: " +  status);
		console.warn(JSON.stringify(['failed to register ', status]));
	});
}

function unregisterPushwooshAndroid()
{
	var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification"); //window.plugins.pushNotification;
	pushNotification.unregisterDevice(function(token) {
	
    	localStorage.pushwood_status = 0;
	},
	function(status) {
		alert("failed to unregister: " +  status);
		console.warn(JSON.stringify(['failed to unregister ', status]));
	});
}

function onPushwooshAndroidInitialized(pushToken, isMember, deviceId)
{
    var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification");

	console.warn('push token: ' + pushToken);

	pushNotification.getPushToken(function(token) {
		console.warn('push token: ' + token);
	});

	pushNotification.getPushwooshHWID(function(token) {
		console.warn('Pushwoosh HWID: ' + token);
	});

	pushNotification.getTags(function(tags) {
		console.warn('tags for the device: ' + JSON.stringify(tags));
	},
	function(error) {
		console.warn('get tags error: ' + JSON.stringify(error));
	});


	if(isMember) {
		pushNotification.setTags({"IsMember":"yes", "memberId": deviceId},
		function(status) {
			console.warn('setTags success');
		},
		function(status) {
			console.warn('setTags failed');
		});
	} else {
		pushNotification.setTags({"IsMember":"no"},
		function(status) {
			console.warn('setTags success');
		},
		function(status) {
			console.warn('setTags failed');
		});
	}
}

function preLoad(deviceId){

    var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification");
    pushNotification.registerDevice(function(status){
        onPushwooshAndroidInitialized(status.pushToken, true, deviceId);
    },
    function(status){

        console.warn(JSON.stringify(['failed to register ', status]));
    });
};
