(function($) {
    document.addEventListener("deviceready", init, false);
    function init() {
        getRes();
        hideHead();
 
        localStorage.setItem('Display_Push_Register', 0);
        
        doAnalytics('Main');
        
        if ('android' === cordova.platformId) {
            initPushwooshAndroid();
            
            // android push
            if (undefined === localStorage.push_notifications) {
                localStorage.push_notifications = 1;
                localStorage.pushwood_status = 0;
            }
            
            if('1' === localStorage.push_notifications && '0' === localStorage.pushwood_status) {
                registerNonMemberPushwooshAndroid();
            }
        } else {

            initPushwooshIOS();
            
            if (undefined === localStorage.push_notifications) {
                localStorage.push_notifications = 1;
                localStorage.pushwood_status = 0;
            }
            
            if('1' === localStorage.push_notifications && '0' === localStorage.pushwood_status) {
                registerNonMemberPushwooshIOS();
            }
        }

        document.addEventListener("menubutton", menuKeyDown, true);
        document.addEventListener("backbutton", backKeyDown, true);
        console.log('DeviceReady');
        $('body').click(function() {
            $('#menu').removeClass('visible');
        });
        $("#section-menu").click(function(e) {
            e.stopPropagation();
            $('#menu').toggleClass('visible');
        });

        onhashchange = function() {
            var content = (location.hash.substring(1));
            if ('' === content) {
                content = 'Main.html';
            }
            var res = 'ldpi';
            var windowWidth = document.documentElement.clientWidth;
            if (windowWidth <= 320) {
                res = "ldpi";
            } else if (windowWidth <= 480) {
                res = "ldpi";
            } else if (windowWidth <= 640) {
                res = "mdpi";
            } else if (windowWidth <= 768) {
                res = "hdpi";
            } else if (windowWidth <= 1024) {
                res = "xhdpi";
            } else if (windowWidth <= 2008) {
                res = "xxhdpi";
            }
            var moduleId = content.replace(/[^A-Za-z0-9]/g, '_');
            $('#content').children().hide();
            if ($('#' + moduleId).size() > 0) {
                $('#content').children('#' + moduleId).show();
                var title = $('#content').children('#' + moduleId).find('title').text();
                $('#title').text(title);
                window.scrollTo(0, 0);
                if ('Benefits.html' == content) {
                    $('#sliderNext_benefits').click();
                }
                if ('Specials.html' == content) {
                    $('#sliderNext_specials').click();
                }
                if ('BenefitsLevel1.html' == content) {
                    $('#sliderNext_benefits').click();
                }
                if ('BenefitsLevel2.html' == content) {
                    $('#sliderNext_benefits').click();
                }
                if ('BenefitsLevel3.html' == content) {
                    $('#sliderNext_benefits').click();
                }

                if ('Main.html' == content) {                    
                    document.getElementById("content").style.backgroundImage = "url('img/"+res+"/main-menu/fondo.jpg')";
                    document.getElementById("content").style.backgroundSize = "100% 100%";                            
                }else{
                    document.getElementById("content").style.backgroundImage = 'none';
                }              
            } else {
                var $content = $('<div>').attr('id', moduleId);
                $('#content').append($content);
                $content.load(content, function() {
                    var title = $('#content').children('#' + moduleId).find('title').text();
                    $('#title').text(title);
                });
                if ('Main.html' == content) {

                    document.getElementById("content").style.backgroundImage = "url('img/"+res+"/main-menu/fondo.jpg')";
                    document.getElementById("content").style.backgroundSize = "100% 100%";
                }else{
                    document.getElementById("content").style.backgroundImage = 'none';
                }
            }
        };
        onhashchange();

        setTimeout(function() {
            try {
            } catch (exception) {

                console.log(exception);
            }
            try {
                navigator.splashscreen.hide();
            } catch (exception) {

            }
        }, 1000);
    }

    function menuKeyDown() {
        $("#menu").click();
    }
    function backKeyDown(e) {
        console.log(e);
        if ($('#menu').is(':visible')) {
            $('#menu').removeClass('visible');
            return false;
        }

        var content = (location.hash.substring(1));
        
        //alert(content);
        if ('' === content) {
            //content = 'Main.html';
            navigator.app.exitApp();
            return false;
        }else{
            //if (content == 'Benefits.html'){

            if (content == 'BenefitsLevel3.html' || content == 'BenefitsLevel2.html' || content == 'BenefitsLevel1.html'){
                window.location.hash = '#Benefits.html';
            }else if (content == 'storeMap.html' || content == 'ViewerMenu.html'){
                window.history.back();
            }else{
                hideHead();
                window.location = 'index.html'
                return false;
            }
        }

        /*alert(content);
         ('Main.html' === content) {
            navigator.app.exitApp();
            return false;
        }else{
            hideHead();
            alert('Cargar load');
        }*/
        //window.history.back();
    }
})(jQuery);

function logout() {

    for (var l in localStorage) {
        if (l.substring(0, 6) == "login_") {
            console.log('remove ', l);
            localStorage.removeItem(l);
        }
    }

    var menuRewards = document.getElementById('main-option-rewards');
    try {
        menuRewards.children[0].setAttribute('href', '#NotSession.html')
    } catch (e) {
        console.log(e)
    }

    localStorage.setItem('form_prefill','0');
    document.getElementById('log_in').style.display = 'block';
    document.getElementById('log_out').style.display = 'none';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'none';
    document.getElementById('registerjoin_option').style.display = 'block';
    document.getElementById('submenu-settings').style.borderBottom = 'none';
    $('#JoinFB').show();
    window.location.hash = 'Main.html';
    window.location.reload();
    return false;
}

function doOnLogin() {

    var menuRewards = document.getElementById('main-option-rewards');
    try {
        menuRewards.children[0].setAttribute('href', '#Rewards.html');
    } catch (e) {
        console.log(e);
    }

    document.getElementById('log_in').style.display = 'none';
    document.getElementById('log_out').style.display = 'block';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'block';
    document.getElementById('registerjoin_option').style.display = 'none';
    document.getElementById('submenu-settings').style.borderBottom = '1px solid #ffffff';
    $('#JoinFB').hide();
}

function checkLogin() {
    if (null == localStorage.getItem('login_password')) {
        return false;
    }
    doOnLogin();
}

function getRes(){
        var w = window,
        d = document,
        e = d.documentElement,
        g = d.getElementsByTagName('body')[0],
        y = window.screen.availHeight
        x = window.screen.availWidth       
        console.log( 'Resolucion == '+x+'x -- Y'+y);
        window.x = x;
        window.y = y;                       
}

function hideHead(){
    //alert('Ir a API');
    document.getElementById('logo').style.opacity = 0;
    document.getElementById('top-bar').style.background = 'transparent';

    if (localStorage.getItem('reloadMain') == 1){
        localStorage.setItem('reloadMain', 0);
        
        var oldHref = window.location.href;
        var newHref = oldHref.replace('#Specials.html','').replace('#Rewards.html','').replace('#Login.html','').replace('#ViewerImages.html','').replace('#TermsConditions.html','').replace('#StoreMenu.html','');
        
        window.location.href = newHref;
        window.location = 'index.html'
    }
}

function setHeader(){
    
    document.getElementById('logo').style.opacity = 1;
    document.getElementById('top-bar').style.background = 'linear-gradient(#000000, #000000)';
    
}

function HomeMenu(){
    //hideHead();
    //window.location.hash = '#Main.html';
    
}

function fillForm(){
    /*
    * There is an opened session? 
    */
    if (null != localStorage.getItem('login_password')) {

        document.getElementById('contactUsName').value = localStorage.getItem("login_name");
        document.getElementById('contactUsEmail').value = localStorage.getItem("login_email");
    }
}

function setPrefill(){
    localStorage.setItem('form_prefill', '0');
}